<?php
/**
 * Model dla klasy MfProductCategoryDescription
 *
 * @author ModGen
 */

class MfProductCategoryDescription extends DataObject{


	/**
	 * nazwa tabeli
	 */
	static $tableName = 'mf_product_category_description';

	/**
	 * nazwa klucza tabeli
	 */
	static $classTablePK = 'id_mf_product_category_description';

	/**
	 * nazwa klasy
	 */
	static $className = __CLASS__;

	/**
	 * tablica mapująca pola klasy
	 */
	static $fields = array(
		'id_mf_product_category_description' => 'id',
		'name' => 'name',
		'publication' => 'publication',
		'id_mf_product_category' => 'idMfProductCategory',
		'lang' => 'lang',
		'date_publication' => 'datePublication'
	);


	protected $id;
	private $name;
	private $publication;
	private $idMfProductCategory;
	private $lang;
	private $datePublication;



	// -- Konstruktor --


	function __construct( $id = -1 , $name = null, $publication = null, $idMfProductCategory = null, $lang = null, $datePublication = null){
		$this->id = $id;
		$this->name = $name;
		$this->publication = $publication;
		$this->idMfProductCategory = $idMfProductCategory;
		$this->lang = $lang;
		$this->datePublication = $datePublication;
	}



	// -- Get-y i Set-y --

	public function getId(){
		return $this->id;
	}

	public function setId($id){
		$this->id = $id;
	}

	
	public function getName(){
		return $this->name;
	}

	public function setName($name){
		$this->name = $name;
	}

	
	public function getPublication(){
		return $this->publication;
	}

	public function setPublication($publication){
		$this->publication = $publication;
	}

	
	public function getIdMfProductCategory(){
		return $this->idMfProductCategory;
	}

	public function setIdMfProductCategory($idMfProductCategory){
		$this->idMfProductCategory = $idMfProductCategory;
	}

	
	public function getLang(){
		return $this->lang;
	}

	public function setLang($lang){
		$this->lang = $lang;
	}

	
	public function getDatePublication(){
		return $this->datePublication;
	}

	public function setDatePublication($datePublication){
		$this->datePublication = $datePublication;
	}

	




	/**
	* Pobiera nazwę tabeli reprezentującej obiekt w SQL
	* @return string
	*/
	public  function GetTableName(){
	return self::$tableName;
	}

	/**
	* Pobiera nazwę klucza głównego tabeli
	* @return string
	*/
	public function GetClassTablePK() {
		return self::$classTablePK;
	}

	/**
	* Pobiera tablice mapującą pola klasy na pola tabeli
	* @return array
	*/
	public  function GetFields(){
		return self::$fields;
	}

	/**
	* Pobiera nazwę klasy
	* @return string
	*/
	public  function GetClassName(){
		return self::$className;
	}



}

?>